1. Rooms
Tanggle!
  • Puzzles
    • Rooms
      • Create puzzle room
    • Gallery
      • Retrieve a list of gallery images
      • Retrieve a gallery image
  • Communities
    • Custom integration for communities
    • Members
      • Invites & Join Requests
        • [Community] Retrieve a list of community join requests or invites
        • [Community] Invite user to the community OR accept join request
        • [Community] Delete user community invite OR ignore join request
      • Retrieve community members
      • Update community member
      • Delete community member
    • Bans
      • Retrieve a list of community bans
      • Retrieve community ban
      • Ban user from a community
      • Unban user from a community
      • Delete all community bans
      • Remove IP associations from all community bans
    • Queue
      • List queue items
      • Edit queue settings
      • Edit queue item
      • Remove item from the queue
      • Begin puzzle from the queue
      • Move queue item
      • Approve queue item
      • Disapprove queue item
    • Rooms
      • Retrieve a list of community rooms
        GET
      • Retrieve community room
        GET
      • Archive a community room
        DELETE
    • Images
      • Retrieve community images
      • Delete community image
    • Retrieve community
      GET
  • Schemas
    • common
      • ValueSlug
      • ValueAvatar
      • ValueURL
      • ValueLink
      • ValueAvatar
      • GenericPagination
      • ValueUsername
      • ValueEmail
      • ValueLogin
      • ValueTrue
      • ValueFalse
      • ValuePassword
      • ValueCosmetics
      • ValueConnectionPreview
      • ValueLocalizedString
      • ValueColor
    • enums
      • AnyTier
      • AnyLevel
      • AnyNetwork
      • AnyLocale
      • AnyCommunityRole
      • AnyCommunityIntegration
      • AnyLicense
      • AnyTurnstile
      • AnyCosmetic
      • AnyRoomJoinError
      • AnyRarity
    • enitites
      • community
        • websocket
          • CWS_QueueItemAppend
          • CWS_QueueItemUpdate
          • CWS_QueueItemApprove
          • CWS_QueueItemDelete
          • CWS_QueuePositionsUpdate
          • CWS_RoomCreated
          • CWS_RoomCompleted
        • Community
        • CommunityMessage
        • CommunityMessages
        • BaseCommunityIntegration
        • CommunityBan
        • CommunityMember
        • CommunityMemberConnection
        • CommunityIntegrations
        • CommunityQueue
        • CommunityQueueItem
        • CommunityPermission
        • CommunityPermissions
        • CommunityMembership
        • CommunityMessageUpdateBase
      • puzzles
        • payload
          • _PayloadBase
          • _PayloadPrivateBase
          • _Component
          • _ComponentMaybeTeam
          • PayloadPublic
          • PayloadPrivate
          • PayloadCommunity
          • PayloadQueueMember
          • PayloadQueueModerator
          • PayloadQueueEdit
          • AnyPayload
        • PuzzleImage
        • PuzzleImageCrop
        • PuzzleSource
        • PuzzleCreator
        • PuzzleComponent
        • PuzzleRoom
        • PuzzleParticipant
        • PuzzleCreatorConsole
      • user
        • User
        • UserBlock
        • UserFriendship
        • UserFriendshipRequest
        • ActiveUserSession
      • category
        • SharedCategoryTag
        • SharedCategoryTree
        • CategoryTag
        • CategoryTree
        • InternalCategoryTag
        • InternalCategoryTree
      • account
        • Account
        • AccountConnection
        • AccountRoles
        • AnyStaffLevel
      • cosmetics
        • cursor
          • Cursor
          • CursorFrame
        • CosmeticName
        • BaseCosmetic
      • subscription
        • Subscription
        • SubscriptionGift
      • Session
      • Invitation
    • TEST
  1. Rooms

Retrieve community room

Developing
GET
/communities/{uuid}/rooms/{room_uuid}
Result is sorted by creation time, descending.

Request

Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/communities//rooms/'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "success": true,
    "room": {
        "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
        "redirectUrl": "https://tng.gl/az2Ge3",
        "isCompleted": true,
        "isPublic": true,
        "hasPassword": true,
        "title": "string",
        "isMystery": true,
        "isHardmode": true,
        "components": [
            {
                "index": 0,
                "team": {
                    "name": "string",
                    "color": 0,
                    "passcode": true
                },
                "image": {
                    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
                    "isPublic": true,
                    "slug": "string",
                    "title": "string",
                    "sources": {
                        "preview": [
                            {
                                "width": 0,
                                "url": "http://example.com"
                            }
                        ],
                        "puzzles": [
                            {
                                "name": "string",
                                "url": "http://example.com",
                                "width": 0,
                                "height": 0,
                                "weight": 0
                            }
                        ],
                        "opengraph": "http://example.com",
                        "blurhash": "CGF5?xYk^6#M@-5c,1J5",
                        "static": "http://example.com"
                    },
                    "originalWidth": 0,
                    "originalHeight": 0,
                    "statistics": {
                        "completed": {
                            "count": 0,
                            "rate": 0,
                            "averagePieces": 0
                        },
                        "abandoned": {
                            "count": 0,
                            "rate": 0,
                            "averagePieces": 0
                        }
                    },
                    "attribution": {
                        "creator": {
                            "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
                            "name": "string",
                            "about": "string",
                            "slug": "funny-dog",
                            "urls": [
                                {
                                    "name": "Discord",
                                    "url": "https://tanggle.io"
                                }
                            ],
                            "avatar": null,
                            "support": "https://tanggle.io",
                            "license": {
                                "type": "creative_commons",
                                "value": "CC0"
                            }
                        },
                        "author": {
                            "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
                            "objectType": "user",
                            "username": "FunnyKitten",
                            "slug": "funny-dog",
                            "tier": "GUEST",
                            "cursor": 0,
                            "legacyAvatar": "https://tanggle.io",
                            "isSuperuser": true
                        },
                        "source": {
                            "url": "http://example.com",
                            "ref": "string",
                            "platform": {
                                "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
                                "ref": "string",
                                "name": "string",
                                "url": "https://tanggle.io",
                                "license": {
                                    "type": "creative_commons",
                                    "value": "CC0"
                                }
                            }
                        },
                        "title": "string",
                        "license": {
                            "type": "creative_commons",
                            "value": "CC0"
                        }
                    },
                    "animation": {
                        "fps": 0,
                        "frames": 0,
                        "duration": 0
                    },
                    "tags": {
                        "list": [
                            "string"
                        ],
                        "main": "string"
                    }
                },
                "imageCrop": {
                    "x": 0,
                    "y": 0,
                    "width": 100,
                    "height": 100
                },
                "imageDeleted": true,
                "pieces": {
                    "x": 0,
                    "y": 0,
                    "total": 0,
                    "completed": 0,
                    "completedRate": 0
                },
                "isCompleted": true
            }
        ],
        "componentsType": "team",
        "pieces": {
            "count": 1000,
            "completed": 25,
            "completedRate": 0.025
        },
        "playerCount": 0,
        "playerLimit": 0,
        "community": {
            "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
            "name": "string",
            "slug": "funny-dog",
            "locale": "en",
            "tier": "GUEST",
            "queue": {
                "autostart": true,
                "defaults": {
                    "pieceCount": 300,
                    "isMystery": false,
                    "isHardmode": false
                },
                "constraints": {
                    "pieces": {
                        "min": 1,
                        "max": 1
                    }
                }
            },
            "permissions": {
                "member": [
                    [
                        "room.join"
                    ]
                ],
                "special": [
                    [
                        "room.join"
                    ]
                ]
            },
            "restriction": "membership",
            "integrations": {
                "twitch": "string",
                "discord": "string"
            },
            "createdAt": "2019-08-24T14:15:22.123Z"
        },
        "communityQueueId": "c0a4cc58-9217-44ca-a991-6b3fb4c5859f",
        "createdAt": "2019-08-24T14:15:22.123Z",
        "completedAt": "2019-08-24T14:15:22.123Z",
        "createdBy": {
            "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
            "objectType": "user",
            "username": "FunnyKitten",
            "slug": "funny-dog",
            "tier": "GUEST",
            "cursor": 0,
            "legacyAvatar": "https://tanggle.io",
            "isSuperuser": true
        }
    }
}
Modified at 2025-03-14 08:32:07
Previous
Retrieve a list of community rooms
Next
Archive a community room
Built with